Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jdbc.metadata
Interface JDBCColumnPositions.TABLES

Enclosing interface:
  JDBCColumnPositions

    public static interface JDBCColumnPositions.TABLES

This class contains constants representing column positions on ResultSet returned by getColumns method on DatabaseMetaData. The class has constants for columns whose values are to be hardcoded in MMDatabaseMetaData object. `MAX_COLUMNS` is the number of columns to be read from server's results from getElements method on `Metadata object`. `JAVA_CLASS` is the column position for element data type on server's Results object.

Field Summary
`static int` | `ISPHYSICAL`
`static int` | `MAX_COLUMNS` Number of columns to be read from results returned getTables method.
`static int` | `REF_GENERATION`
`static int` | `SELF_REFERENCING_COL_NAME`
`static int` | `TABLE_CAT` Position of column that contains catalog name in which the table is present.
`static int` | `TYPE_CAT`
`static int` | `TYPE_NAME`
`static int` | `TYPE_SCHEM`

Field Detail

### MAX_COLUMNS

    static final int MAX_COLUMNS

  Number of columns to be read from results returned getTables method.

  See Also:
    Constant Field Values

### TABLE_CAT

    static final int TABLE_CAT

  Position of column that contains catalog name in which the table is present.

  See Also:
    Constant Field Values

### TYPE_CAT

    static final int TYPE_CAT

See Also:
  Constant Field Values

### TYPE_SCHEM

    static final int TYPE_SCHEM

See Also:
  Constant Field Values

### TYPE_NAME

    static final int TYPE_NAME

See Also:
  Constant Field Values

### SELF_REFERENCING_COL_NAME

    static final int SELF_REFERENCING_COL_NAME

See Also:
  Constant Field Values

### REF_GENERATION

    static final int REF_GENERATION

See Also:
  Constant Field Values

### ISPHYSICAL

    static final int ISPHYSICAL

See Also:
  Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.